Accepts a pending referral. Only the recipient firm can accept. Run in API Explorer
Ask AI
Client data is cloned to the recipient firm upon acceptance.
POST
/api/v1/referrals/{referral_uuid}/accept
curl \
--request POST 'https://api.plannrcrm.com/api/v1/referrals/6ff8f7f6-1eb3-3525-be4a-3932c805afed/accept' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"uuid": "55d039cc-0de2-4835-b857-883c4255f94b",
"direction": "sent",
"connection": {
"uuid": "abc-123"
},
"clients": [
{
"uuid": "client-uuid-1",
"name": "John Doe"
}
],
"cloned_clients": [
{
"uuid": "cloned-uuid-1",
"name": "John Doe"
}
],
"advice_type": "investments",
"duration_months": 3,
"shared_data": [
"basic_details",
"contact_details"
],
"note": "Client needs help with retirement planning.",
"sla_deadline": "2026-02-28",
"status": "pending",
"rejection_reason": "Unable to take on new clients.",
"sender_firm": {
"uuid": "abc-123",
"name": "Sender Firm Name"
},
"recipient_firm": {
"uuid": "def-456",
"name": "Recipient Firm Name"
},
"sender_account": {
"uuid": "c023a4ac-1ac0-4fe3-8f31-b787563213c8",
"created_at": "2026-10-10T13:35:29+01:00",
"updated_at": "2026-10-10T13:35:29+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "512f5d20-d183-4ca0-aa26-cb810dfb62d1",
"created_at": "2026-10-10T13:35:36+01:00",
"updated_at": "2026-10-10T13:35:36+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"recipient_account": {
"uuid": "3884f6b4-298a-42bf-a313-98008e666d45",
"created_at": "2026-10-10T13:35:29+01:00",
"updated_at": "2026-10-10T13:35:29+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "512f5d20-d183-4ca0-aa26-cb810dfb62d1",
"created_at": "2026-10-10T13:35:36+01:00",
"updated_at": "2026-10-10T13:35:36+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"created_at": "2026-10-10T13:35:29+01:00",
"updated_at": "2026-10-10T13:35:29+01:00",
"expires_at": "2027-01-10T13:35:29+00:00"
}